Cyberduck Mountain Duck CLI

#2790 closed enhancement (wontfix)

SCP between remote hosts

Reported by: frjg Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.0.3
Severity: normal Keywords: scp remote hosts
Cc: Architecture:
Platform:

Description

Sometimes I need to copy files between remote machines. So far, I use command-line scp to do this by logging in to the first box and scp-ing to the other. That works well, although it is fairly uncomfortable. Now, trying this using cyberduck doesn´t appear to work. Could you make it possible that dragging files from one browser window to the other starts a remote scp transfer as described above? It would just make a wonderful tool a perfect one. Thank you very much!

Change History (4)

comment:1 Changed on Dec 24, 2008 at 3:16:42 PM by dkocher

  • Component changed from core to sftp
  • Summary changed from Scp Transfer between remote clients request to SCP between remote hosts

Relates to #21.

comment:2 Changed on Nov 17, 2011 at 3:03:40 PM by dkocher

  • Milestone set to 4.1.4
  • Resolution set to fixed
  • Status changed from new to closed

This already works although in the current release we create a local temporary file. In the next version we will still connect through the localhost but stream directly from pipe to pipe. In r9249 and later.

comment:3 Changed on May 27, 2014 at 10:39:49 AM by evan bovie

  • Resolution fixed deleted
  • Status changed from closed to reopened

Still not truly implemented for fastest connection as a remote-to-remote transfer.

comment:4 Changed on May 27, 2014 at 7:09:27 PM by dkocher

  • Milestone 4.2 deleted
  • Resolution set to wontfix
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software